Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Patch

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Patch

public class Patch
extends Task

Task as a layer on top of patch. Patch applies a diff file to an original.

Author:
  Stefan Bodewig

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Patch()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setBackups(boolean backups)` Shall patch write backups.
`void` | `setIgnorewhitespace(boolean ignore)` Ignore whitespace differences.
`void` | `setOriginalfile(java.io.File file)` The file to patch.
`void` | `setPatchfile(java.io.File file)` The file containing the diff output.
`void` | `setQuiet(boolean q)` Work silently unless an error occurs.
`void` | `setReverse(boolean r)` Assume patch was created with old and new files swapped.
`void` | `setStrip(int num)` Strip the smallest prefix containing num leading slashes from filenames.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Patch

    public Patch()

Method Detail

### setOriginalfile

    public void setOriginalfile(java.io.File file)

  The file to patch.

### setPatchfile

    public void setPatchfile(java.io.File file)

  The file containing the diff output.

### setBackups

    public void setBackups(boolean backups)

  Shall patch write backups.

### setIgnorewhitespace

    public void setIgnorewhitespace(boolean ignore)

  Ignore whitespace differences.

### setStrip

    public void setStrip(int num)
                  throws BuildException

  Strip the smallest prefix containing num leading slashes from filenames.

  patch's -p option.

### setQuiet

    public void setQuiet(boolean q)

  Work silently unless an error occurs.

### setReverse

    public void setReverse(boolean r)

  Assume patch was created with old and new files swapped.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.